Summary:       The Corosync Cluster Engine Qdevice
Name:          corosync-qdevice
Version:       3.0.2
Release:       7%{?dist}
License:       BSD
URL:           https://github.com/corosync/corosync-qdevice
Source0:       %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: systemd systemd-devel gcc corosynclib-devel libqb-devel sed groff nss-devel make
Requires: corosync corosynclib nss-tools
%{?systemd_requires}

%description
This package contains the Corosync Cluster Engine Qdevice, script for creating NSS certificates and
an init script.

%package -n corosync-qdevice-devel
Summary: The Corosync Cluster Engine Qdevice Network Development Kit
Requires: pkgconfig

%description -n corosync-qdevice-devel
This package contains files used to develop using The Corosync Cluster Engine Qdevice

%package -n corosync-qnetd
Summary: The Corosync Cluster Engine Qdevice Network Daemon
Requires: nss-tools
Requires(pre): shadow-utils
%{?systemd_requires}

%description -n corosync-qnetd
This package contains the Corosync Cluster Engine Qdevice Network Daemon, script for creating NSS
certificates and an init script.

%prep
%autosetup -n %{name}-%{version}

%build
%{configure} \
    --enable-user-flags \
    --enable-systemd \
    --enable-qdevices \
    --enable-qnetd \
    --with-initddir=%{_initrddir} \
    --with-systemddir=%{_unitdir} \
    --docdir=%{_docdir}

%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/*
install -Dp -m 644 init/corosync-qdevice.sysconfig.example \
    %{buildroot}%{_sysconfdir}/sysconfig/corosync-qdevice
install -Dp -m 644 init/corosync-qnetd.sysconfig.example \
    %{buildroot}%{_sysconfdir}/sysconfig/corosync-qnetd

sed -i -e 's/^#User=/User=/' %{buildroot}%{_unitdir}/corosync-qnetd.service

%post
%systemd_post corosync-qdevice.service

%preun
%systemd_preun corosync-qdevice.service

%postun
%systemd_postun corosync-qdevice.service

%pre -n corosync-qnetd
getent group coroqnetd >/dev/null || groupadd -r coroqnetd
getent passwd coroqnetd >/dev/null || \
    useradd -r -g coroqnetd -d / -s /sbin/nologin -c "User for corosync-qnetd" coroqnetd
exit 0

%post -n corosync-qnetd
%systemd_post corosync-qnetd.service

%preun -n corosync-qnetd
%systemd_preun corosync-qnetd.service

%postun -n corosync-qnetd
%systemd_postun corosync-qnetd.service

%files
%license LICENSE
%dir %{_sysconfdir}/corosync/qdevice
%dir %config(noreplace) %{_sysconfdir}/corosync/qdevice/net
%dir %{_localstatedir}/run/corosync-qdevice
%config(noreplace) %{_sysconfdir}/sysconfig/corosync-qdevice
%{_unitdir}/corosync-qdevice.service
%{_sbindir}/corosync-qdevice
%{_sbindir}/corosync-qdevice-net-certutil
%{_sbindir}/corosync-qdevice-tool
%{_mandir}/man8/corosync-qdevice-tool.8*
%{_mandir}/man8/corosync-qdevice-net-certutil.8*
%{_mandir}/man8/corosync-qdevice.8*

%files -n corosync-qdevice-devel
%license LICENSE
%{_datadir}/pkgconfig/corosync-qdevice.pc

%files -n corosync-qnetd
%license LICENSE
%dir %config(noreplace) %attr(770, coroqnetd, coroqnetd) %{_sysconfdir}/corosync/qnetd
%dir %attr(770, coroqnetd, coroqnetd) %{_localstatedir}/run/corosync-qnetd
%config(noreplace) %{_sysconfdir}/sysconfig/corosync-qnetd
%{_unitdir}/corosync-qnetd.service
%{_bindir}/corosync-qnetd
%{_bindir}/corosync-qnetd-certutil
%{_bindir}/corosync-qnetd-tool
%{_mandir}/man8/corosync-qnetd-tool.8*
%{_mandir}/man8/corosync-qnetd-certutil.8*
%{_mandir}/man8/corosync-qnetd.8*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-6
- Rebuilt for loongarch release

* Thu May 16 2024 Huang Yang <huangyang@loongson.cn> - 3.0.2-5
- [Type] bugfix
- [DESC] Modify url macro error

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 28 2023 Shuo Wang <abushwang@tencent.com> - 3.0.2-1
- initial build
